### Method

# GLib String append_uri_escaped

since: 2.16

#### Declaration [src]

    GString*
    g_string_append_uri_escaped (
      GString* string,
      const gchar* unescaped,
      const gchar* reserved_chars_allowed,
      gboolean allow_utf8
    )

#### Description [src]

Appends `unescaped` to `string`, escaping any characters that are reserved in URIs using URI-style escape sequences.

Available since: 2.16

#### Parameters

`unescaped`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`reserved_chars_allowed`

  Type: `const gchar*`

  A string of reserved characters allowed to be used, or `NULL`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`allow_utf8`

  Type: `gboolean`

  Set `TRUE` if the escaped string may include UTF8 characters.

#### Return value

Type: `GString`

`string`.

The data is owned by the instance.